Subject: Re: bug#3468: drag and drop text

From: Eli Zaretskii <[email-masked]>
Date: Sun, 06 Oct 2024 09:10:12 +0300

> Date: Sat, 5 Oct 2024 23:41:55 +0200
> Cc: [email-masked]
> From: Cecilio Pardo <[email-masked]>
> 
> Looking at the manual, in the "Drag and Drop" chapter it says:
> 
>  >    It can be difficult to scroll a window or determine where dropped
>  > text will be inserted while dragging text onto an Emacs window.
>  > Setting the option ‘dnd-indicate-insertion-point’ to a non-‘nil’ value
>  > makes point move to the location any dropped text will be inserted
>  > when the mouse moves in a window during drag, and setting
>  > ‘dnd-scroll-margin’ to an integer value causes a window to be scrolled
>  > if the mouse moves within that many lines of the top or bottom of the
>  > window during drag.
> 
> This should be implemented on Windows too, but it will take me some 
> time. Maybe you prefer to wait before installing the changes.

Up to you.  From where I stand, we can install what you have now, and
add support for the above as a separate changeset.

> Also, do you think the manual should be updated too?

If the manual becomes inaccurate or incomplete with your changes, then
yes, of course.